/**
    Algorithm to draw a circle using 
    second-order partial differences
**/
void MidpointCircle( int radius, int value )
{
	int x=0;
	int y=radius;
	int d = 1 - radius;
	int deltaE = 3;
	int deltaSE = -2*radius + 5;

	CirclePoints( x, y, value );

	while ( y > x ) {
		if ( d < 0 ) {
			d += deltaE;     /** Select E  **/
			deltaSE += 2;
		}
		else {
			d += deltaSE;    /** Select SE **/
			deltaSE += 4;
			y--;
		}
		deltaE += 2;
		x++;
		CirclePoints( x, y, value );
	}
}
